function loadFiles(dir){
   if (WebSite.isNW) return;
	dir.rel('res.json').obj({"images":[{"name":"$pat_base","url":"images/base.png","pwidth":32,"pheight":32},{"name":"$pat_sample","url":"images/Sample.png"},{"name":"$pat_neko","url":"images/neko.png","pwidth":32,"pheight":32},{"name":"$pat_mapchip","url":"images/mapchip.png","pwidth":32,"pheight":32},{"name":"$icon_thumbnail","pwidth":200,"pheight":200,"url":"images/icon_thumbnail.png"}],"sounds":[{"name":"$se_Game_BGM","url":"sounds/Game_BGM.mp3"},{"name":"$se_select","url":"sounds/select.mp3"},{"name":"$se_cancel","url":"sounds/cancel.mp3"},{"name":"$se_rain2","url":"sounds/rain2.mp3"},{"name":"$se_rain1","url":"sounds/rain1.mp3"},{"name":"$se_rain3","url":"sounds/rain3.mp3"},{"name":"$se_keyboard2","url":"sounds/keyboard2.mp3"},{"name":"$se_keyboard1","url":"sounds/keyboard1.mp3"},{"name":"$se_cancel2","url":"sounds/_____2.mp3"}]});
	dir.rel('options.json').obj({"compiler":{"namespace":"user","defaultSuperClass":"kernel.Actor","dependingProjects":[{"namespace":"kernel","url":"js/kernel.js"}],"diagnose":false},"run":{"mainClass":"user.Main","bootClass":"kernel.Boot","globals":{"$defaultFPS":60,"$imageSmoothingDisabled":true,"$soundLoadAndDecode":false}},"plugins":{"jquery_ui":1},"kernelEditable":false,"language":"tonyu","version":1616322060404});
	dir.rel('static/array/alphabet/A.txt').text("[[0,5],[2,90],[1,0],[2,90],[1,0],[1,90],[1,0],[1,270],[1,0],[2,270],[1,0],[2,270],[1,180],[2,90],[3,180],[2,270],[1,180]]");
	dir.rel('static/array/alphabet/B.txt').text("[[0,0],[4,0],[2,270],[1,0],[1,90],[4,180],[1,270],[3,0],[1,270],[3,180],[1,270],[4,0],[1,90],[1,180],[2,270],[4,180],[5,90]]");
	dir.rel('static/array/alphabet/C.txt').text("[[0,0],[5,0],[1,270],[4,180],[3,270],[4,0],[1,270],[5,180],[5,90]]");
	dir.rel('static/array/alphabet/D.txt').text("[[0,5],[5,90],[4,0],[4,270],[1,0],[3,90],[4,180],[3,270],[3,0],[1,270],[4,180]]");
	dir.rel('static/array/alphabet/E.txt').text("[[0,0],[5,0],[1,270],[4,180],[1,270],[4,0],[1,270],[4,180],[1,270],[4,0],[1,270],[5,180],[5,90]]");
	dir.rel('static/array/alphabet/F.txt').text("[[0,0],[5,270],[1,0],[2,90],[3,0],[1,90],[3,180],[1,90],[4,0],[1,90],[5,180]]");
	dir.rel('static/array/alphabet/G.txt').text("[[0,0],[5,0],[1,270],[4,180],[3,270],[3,0],[1,90],[1,180],[1,90],[2,0],[3,270],[5,180],[5,90]]");
	dir.rel('static/array/alphabet/H.txt').text("[[0,0],[1,0],[2,270],[3,0],[2,90],[1,0],[5,270],[1,180],[2,90],[3,180],[2,270],[1,180],[5,90]]");
	dir.rel('static/array/alphabet/I.txt').text("[[2,0],[1,0],[5,270],[1,180],[5,90]]");
	dir.rel('static/array/alphabet/K.txt').text("[[0,0],[1,0],[2,270],[2,0],[2,90],[2,0],[1,270],[3,180],[3,270],[3,0],[1,270],[1,180],[2,90],[3,180],[2,270],[1,180],[5,90]]");
	dir.rel('static/array/alphabet/L.txt').text("[[0,0],[1,0],[4,270],[4,0],[1,270],[5,180],[5,90]]");
	dir.rel('static/array/alphabet/M.txt').text("[[0,0],[5,0],[5,270],[1,180],[4,90],[1,180],[4,270],[1,180],[4,90],[1,180],[4,270],[1,180],[5,90]]");
	dir.rel('static/array/alphabet/N.txt').text("[[0,5],[5,90],[1,0],[1,270],[1,0],[1,270],[1,0],[1,270],[1,0],[3,90],[1,0],[5,270],[1,180],[1,90],[1,180],[1,90],[1,180],[1,90],[1,180],[3,270],[1,180]]");
	dir.rel('static/array/alphabet/O.txt').text("[[0,0],[5,0],[5,270],[5,180],[5,90]]");
	dir.rel('static/array/alphabet/P.txt').text("[[0,0],[5,270],[1,0],[2,90],[4,0],[3,90],[5,180]]");
	dir.rel('static/array/alphabet/R.txt').text("[[0,0],[4,0],[2,270],[1,180],[2,270],[2,0],[1,270],[1,180],[2,90],[2,180],[1,90],[1,180],[3,270],[1,180],[5,90]]");
	dir.rel('static/array/alphabet/S.txt').text("[[0,0],[3,270],[4,0],[1,270],[4,180],[1,270],[5,0],[3,90],[4,180],[1,90],[4,0],[1,90],[5,180]]");
	dir.rel('static/array/alphabet/T.txt').text("[[0,0],[5,0],[1,270],[2,180],[4,270],[1,180],[4,90],[2,180],[1,90]]");
	dir.rel('static/array/alphabet/U.txt').text("[[0,0],[1,0],[4,270],[3,0],[4,90],[1,0],[5,270],[5,180],[5,90]]");
	dir.rel('static/array/alphabet/V.txt').text("[[0,0],[1,0],[2,270],[1,0],[2,270],[1,0],[2,90],[1,0],[2,90],[1,0],[2,270],[1,180],[2,270],[1,180],[1,270],[1,180],[1,90],[1,180],[2,90],[1,180],[2,90]]");
	dir.rel('static/array/alphabet/W.txt').text("[[0,0],[1,0],[4,270],[1,0],[4,90],[1,0],[4,270],[1,0],[4,90],[1,0],[5,270],[5,180],[5,90]]");
	dir.rel('static/array/alphabet/Y.txt').text("[[0,0],[1,270],[2,0],[4,270],[1,0],[4,90],[2,0],[1,90],[1,180],[2,270],[3,180],[2,90],[1,180]]");
	dir.rel('static/array/number/coefficient.txt').text("[\r\n[[0,0],\r\n[1,225],\r\n[3,270],\r\n[1,315],\r\n[1,45],\r\n[3,90],\r\n[1,135]],\r\n[[0,0],\r\n[1,315],\r\n[3,0],\r\n[1,45],\r\n[1,135],\r\n[3,180],\r\n[1,225]]\r\n]\r\n");
	dir.rel('static/array/number/coefficient2.txt').text("[\r\n[[-1,1],\r\n[0,3],\r\n[1,1],\r\n[1,-1],\r\n[0,3],\r\n[1,-1]],\r\n[[1,1],\r\n[3,0],\r\n[1,-1],\r\n[-1,-1],\r\n[-3,0],\r\n[-1,1]]\r\n]\r\n");
	dir.rel('static/array/number/number.txt').text("[\r\n[1,1,2,1,1,2,0],\r\n[0,0,0,1,1,0,0],\r\n[0,1,2,0,1,2,2],\r\n[0,0,2,1,1,2,2],\r\n[1,0,0,1,1,0,2],\r\n[1,0,2,1,0,2,2],\r\n[1,1,2,1,0,2,2],\r\n[1,0,0,1,1,2,0],\r\n[1,1,2,1,1,2,2],\r\n[1,0,2,1,1,2,2]\r\n]");
	dir.rel('static/array/number/number2.txt').text("[\r\n[1,1,1,0,1,1,1],\r\n[0,0,1,0,0,0,1],\r\n[0,1,1,1,1,1,0],\r\n[0,1,1,1,0,1,1],\r\n[1,0,1,1,0,0,1],\r\n[1,1,0,1,0,1,1],\r\n[1,1,0,1,1,1,1],\r\n[1,1,1,0,0,0,1],\r\n[1,1,1,1,1,1,1],\r\n[1,1,1,1,0,1,1]]");
	dir.rel('static/array/number/無印と2の違い.txt').text("ラインオブジェクトの書き方から描画方法を変えたため、\r\n無理数が入る係数法を使えなくりました。\r\nそのため、2には直接x,yの距離差を記録しています。");
	dir.rel('static/array/thought/second.txt').text("");
	dir.rel('static/array/使わない/a.txt').text("");
	dir.rel('static/array/使わない/B.txt').text("[[1,1,1,1,null],[1,null,null,null,1],[1,null,null,null,1],[1,null,null,1,null],[1,1,1,null,null],[1,0,null,1,null],[1,0,null,null,1],[1,0,null,null,1],[1,1,1,1,null]]");
	dir.rel('static/array/使わない/c.txt').text("[[null,null,null,null,null],[null,null,null,null,null],[null,null,null,null,null],[null,null,null,null,null],[null,1,1,1,1],[1,null,null,null,null],[1,null,null,null,null],[1,null,null,null,null],[null,1,1,1,1]]");
	dir.rel('static/array/使わない/dot.txt').text("[[null,null,null,null,null],[null,null,null,null,null],[null,null,1,null,null],[null,null,null,null,null],[null,null,null,null,null],[null,null,null,null,null],[null,null,1,null,null],[null,null,null,null,null],[null,null,null,null,null]]");
	dir.rel('static/array/使わない/e.txt').text("[[null,null,null,null,null],[null,null,null,null,null],[null,null,null,null,null],[null,null,null,null,null],[0,1,1,1,null],[1,null,null,null,1],[1,1,1,1,null],[1,null,null,null,0],[null,1,1,1,1]]");
	dir.rel('static/array/使わない/F.txt').text("[[1,1,1,1,1],[1,null,null,null,1],[1,null,null,null,null],[1,null,null,1,null],[1,1,1,1,null],[1,null,null,1,null],[1,null,null,null,null],[1,null,null,null,null],[1,null,null,null,null]]");
	dir.rel('static/array/使わない/g.txt').text("[[null,null,null,null,null],[null,null,null,null,null],[null,1,1,null,1],[1,null,null,1,1],[1,null,null,1,1],[null,1,1,null,1],[null,null,null,null,1],[1,null,null,1,1],[null,1,1,1,null]]");
	dir.rel('static/array/使わない/i.txt').text("[[null,null,null,null,null],[null,null,null,null,null],[null,0,1,null,null],[null,null,null,null,null],[0,1,1,null,null],[0,0,1,null,null],[0,0,1,null,null],[null,0,1,null,null],[null,0,0,1,null]]");
	dir.rel('static/array/使わない/l.txt').text("[[null,1,1,null,null],[null,null,1,null,null],[null,null,1,null,null],[null,null,1,null,null],[null,null,1,null,null],[null,null,1,null,null],[null,null,1,null,null],[null,null,1,null,null],[null,null,null,1,null]]");
	dir.rel('static/array/使わない/n.txt').text("[[null,null,null,null,null],[null,null,null,null,null],[null,null,null,null,null],[null,null,null,null,null],[1,1,null,1,null],[null,1,1,null,1],[null,1,null,null,1],[null,1,null,null,1],[null,1,null,null,1]]");
	dir.rel('static/array/使わない/o.txt').text("[[null,null,null,null,null],[null,null,null,null,null],[null,null,null,null,null],[null,null,null,null,null],[null,1,1,1,null],[1,null,null,null,1],[1,null,null,null,1],[1,null,null,null,1],[null,1,1,1,null]]");
	dir.rel('static/array/使わない/r.txt').text("[[null,null,null,null,null],[null,null,null,null,null],[null,null,null,null,null],[null,null,null,null,null],[1,1,null,1,null],[null,1,1,null,1],[null,1,null,null,null],[null,1,null,null,null],[null,1,null,null,null]]");
	dir.rel('static/array/使わない/S.txt').text("[[null,1,1,1,null],[1,null,null,null,1],[1,null,null,null,null],[1,null,null,null,null],[null,1,1,1,null],[null,null,null,null,1],[null,null,null,null,1],[1,null,null,null,1],[null,1,1,1,null]]");
	dir.rel('static/array/使わない/t.txt').text("[[null,null,null,null,null],[null,null,null,null,null],[null,0,0,0,null],[null,null,1,null,null],[0,1,1,1,0],[null,null,1,null,null],[null,null,1,null,null],[null,null,1,null,null],[null,null,null,1,null]]");
	dir.rel('static/instructions/1.txt').text("0～9の10個の数字から作られた数字を\r\n質問していき、できる限り少ない質問数で\r\n当てることを目的としたゲームです。\r\n\r\n解答者は予想を質問し、\r\nHit ：場所と数字が一致\r\nBlow：場所は違うが数字は一致\r\nとしてヒントがもらえ、それを元に\r\n推測していきます。\r\n\r\n例）答えが123で質問が021の場合\r\n2が場所と数字が一致、\r\n1が場所は違うが数字は一致のため\r\nH1 B1\r\nと示されます。\r\n\r\n");
	dir.rel('static/instructions/2.txt').text("0～9の10個の数字から作られた数字を\r\n質問していき、できる限り少ない質問数で\r\n当てることを目的としたゲームです。\r\n解答者は予想を質問し、\r\nHit ：数字が含まれていて場所も一致\r\nBlow：数字は含まれているが場所は違う\r\nとしてヒントがもらえ、それを元に\r\n推測していきます。\r\n\r\n");
	dir.rel('static/instructions/3.txt').text("0～9の10個の数字から作られた数字を\r\n質問していき、できる限り少ない質問数で\r\n当てることを目的としたゲームです。\r\n解答者は予想を質問し、\r\nHit ：数字が含まれていて場所も一致\r\nBlow：数字は含まれているが場所は違う\r\nとしてヒントがもらえ、それを元に\r\n推測していきます。\r\n\r\n");
	dir.rel('static/option_texts.txt').text("-SOUND SETTING-\r\n-BGM-\r\n-SOUND EFFECT-\r\n-RAIN-\r\n-RAIN TYPE-\r\n-PLAY STYLE-\r\n");
	dir.rel('static/romaji.txt').text("[\r\n[\"あ\",\"い\",\"う\",\"え\",\"お\"],\r\n[\"か\",\"き\",\"く\",\"け\",\"こ\"],\r\n[\"さ\",\"し\",\"す\",\"せ\",\"そ\"],\r\n[\"た\",\"ち\",\"つ\",\"て\",\"と\"],\r\n[\"な\",\"に\",\"ぬ\",\"ね\",\"の\"],\r\n[\"は\",\"ひ\",\"ふ\",\"へ\",\"ほ\"],\r\n[\"ま\",\"み\",\"む\",\"め\",\"も\"],\r\n[\"や\",\"い\",\"ゆ\",\"え\",\"よ\"],\r\n[\"わ\",\"い\",\"う\",\"え\",\"を\"]\r\n]");
	dir.rel('static/title_logo.txt').text("$sw/2-15*6,30\r\n$sw/2,30\r\n$sw/2+15*2,30\r\n$sw/2-15*8,30+15*11\r\n$sw/2-15*2,30+15*11\r\n$sw/2+15*4,30+15*11\r\n$sw/2-15*11,30+15*12\r\n$sw/2-15*5,30+15*12\r\n$sw/2+15*1,30+15*12\r\n$sw/2+15*7,30+15*12");
	dir.rel('static/使わないやつ.txt').text("/*\r\ndo_player=1;do_enemy=0;check=0;end=0;challenge=0;\r\ncheck_answer=[];\r\n*/\r\n\r\n//AIをあとで作ります\r\n/*\r\nsetting_number=[0,1,2,3,4,5,6,7,8,9];\r\nrandom_sets=[];i=0;\r\nfor(i=0;i<10;i++){\r\n    place=rnd(0,setting_number.length);//どこの数字を取るか決める\r\n    random_sets[i]=setting_number[place];//配列代入\r\n    setting_number.splice(place,1);\r\n}\r\ndo_enemy=1;\r\n$times=0;\r\nfor_check=[];\r\nanswer=[];data=[];\r\n$digits=3;\r\nsetting_number=[0,1,2,3,4,5,6,7,8,9];\r\nfor(i=0;i<$digits;i++){\r\n    place=rnd(0,setting_number.length);//どこの数字を取るか決める\r\n    answer[i]=setting_number[place];//配列代入\r\n    setting_number.splice(place,1);\r\n}\r\nwhile(true){\r\n    if(do_player==1){do_enemy=0;\r\n    }\r\n    \r\n    if(do_enemy==1){do_player=0;\r\n        \r\n        if($times==0){\r\n            for(i=0;i<$digits;i++){\r\n                for_check[i]=random_sets[i];\r\n            }\r\n        }else{\r\n            print(Hit+Blow);\r\n            if(Hit+Blow==0){\r\n                random_sets.splice(0,3);\r\n                print(random_sets);\r\n            }\r\n            if(Hit+Blow<3){\r\n                for(i=Hit+Blow;i<3;i++){\r\n                    for_check[i]=random_sets[i+Hit+Blow];\r\n                }\r\n            }else{\r\n                random_sets.splice();\r\n                for(i=0;i<3;i++){\r\n                    random_sets[i]=for_check[i];\r\n                }\r\n                if(Blow==3){\r\n                    for(i=0;i<3;i++){\r\n                        if(i-1<3-1)for_check[i]=random_sets[i+1];else for_check[i]=random_sets[0];\r\n                    }\r\n                }else{\r\n                    for_check[0]=random_sets[0];\r\n                    for_check[1]=random_sets[2];\r\n                    for_check[2]=random_sets[1];\r\n                }\r\n            }\r\n        }\r\n        Hit=0;Blow=0;\r\n        for(i=0;i<3;i++){\r\n            for(j=0;j<3;j++){\r\n                if(answer[i]==for_check[j]){if(i==j)Hit++; else Blow++;}\r\n            }\r\n        }\r\n        \r\n        $times++;\r\n        data[$times]=for_check+\" H\"+Hit+\" B\"+Blow;\r\n        if($times<$Words.length-1)$Words[$times-1].passage=data[$times]; else print(data[$times]);\r\n        if(Hit==3 || $times==20){print(\"End\");break;}\r\n    }\r\n    update();\r\n}\r\n*/\r\n\\checking(mode){\r\n    if(mode==1){Hit=0;Blow=0;\r\n        for(i=0;i<$digits;i++){\r\n            for(j=0;j<$digits;j++){\r\n                if(answer[i]==sets[check][j]){if(i==j)Hit++; else Blow++;}\r\n            }\r\n        }\r\n        data[check]=Hit*10+Blow;\r\n        print(sets[check]+\" H\"+Hit+\" B\"+Blow);\r\n        if(data[check]==0){\r\n            for(i=0;i<answer_numbers.length;i++){\r\n                for(j=0;j<$digits;j++){\r\n                    if(answer_numbers[i]==sets[check][j]){\r\n                        answer_numbers.splice(i,1);i=0;break;\r\n                    }\r\n                }\r\n            }\r\n            print(answer_numbers);\r\n        }\r\n    }\r\n    if(mode==2){Hit=0;Blow=0;\r\n        for(i=0;i<$digits;i++){\r\n            for(j=0;j<$digits;j++){\r\n                if(answer[i]==near_answers[j]){if(i==j)Hit++; else Blow++;}\r\n            }\r\n        }\r\n        data[check]=Hit*10+Blow;\r\n        print(sets[check]+\" H\"+Hit+\" B\"+Blow);\r\n    }\r\n}\r\n");
}